/*
Theme Name: Marivo Child
Template: slaceso
Author: slacesthemes
Description: Slaceso Theme is a powerful yet lightweight WordPress theme designed for speed, accessibility, and ease of use. With its intuitive drag-and-drop header and footer builder, you can create custom layouts in minutes—no coding required. The theme includes a stunning collection of starter templates, fully customizable with global font and color controls. Seamlessly integrated with top third-party plugins, Slaceso is perfect for building eCommerce stores, online courses, business sites, and more. Whether you're a beginner or an expert, Slaceso makes website creation effortless and efficient.
Tags: translation-ready,two-columns,right-sidebar,left-sidebar,footer-widgets,blog,custom-logo,custom-background,custom-menu,rtl-language-support,editor-style,threaded-comments,custom-colors,featured-images,wide-blocks,full-width-template,theme-options,e-commerce
Version: 1.1.40.1693277791
Updated: 2023-08-29 02:56:31

*/

@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Marcellus&display=swap');
;

/* theme loader */

.preloader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url(assets/image/theme-loader.gif);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 70px;
    background-color: var(--global-palette9);
}

/*------------ common css ------------*/
.single-content h1.elementor-heading-title,
.single-content h2.elementor-heading-title,
.single-content h3.elementor-heading-title,
.single-content h4.elementor-heading-title,
.single-content h5.elementor-heading-title,
.single-content h6.elementor-heading-title {
    margin: 0;
}

* {
    box-sizing: border-box;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
    border-radius: 0px;
}

/* archive page search css */
.primary-sidebar .wp-block-search .wp-block-search__input,
.primary-sidebar .wp-block-search .wp-block-search__input:focus {
    box-shadow: none;
    border: 1px solid var(--global-palette6);
    border-color: var(--global-palette6);
    color: var(--global-palette1);
    border-radius: 0;
    background-color: var(--global-palette8);
}

.wp-block-search .wp-element-button.wp-block-search__button {
    background: var(--global-palette2);
    box-shadow: none;
    border-radius: 0;
    color: var(--global-palette9);
}

.wp-block-search .wp-element-button.wp-block-search__button:hover {
    background: var(--global-palette4);
    color: var(--global-palette9);
}

/* archive page read more */
body .loop-entry .entry-content-wrap .entry-footer .more-link-wrap .post-more-link {
    font-size: inherit;
    /* text-transform: inherit; */
    text-decoration: underline;
    /* font-weight: inherit; */
    color: var(--global-palette1);
}

body .loop-entry .entry-content-wrap .entry-footer .more-link-wrap .slaceso-svg-iconset {
    display: none;
}

/* archive conetnt left sidebar */
body .wp-block-latest-posts__list li,
body.search-results.content-style-unboxed .site .post-thumbnail,
body.woocommerce div.product .woocommerce-tabs ul.tabs li:first-child,
.wp-block-latest-posts.wp-block-latest-posts__list {
    margin: 0;
    list-style: none;
}

.wp-block-latest-posts__post-author,
.wp-block-latest-posts__post-date {
    color: var(--global-palette2);
}

#secondary .woocommerce.widget_product_categories>ul li,
.widget .tagcloud a,
.widget li,
#secondary .woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item,
.wp-block-tag-cloud .tag-cloud-link {
    padding-block: 6px;

}

/* single blog page comment form */
body .comment-form p.comment-form-float-label label {
    margin-left: 10px;
    border-radius: 0;
}

.comment-form p.comment-form-float-label:focus {
    box-shadow: none;
}

.comment-form p.comment-form-float-label #comment {
    color: var(--global-palette1);
    border-radius: 0;
    box-shadow: none;
}

textarea,
input[type="email"],
input[type="text"],
input[type="url"] {
    background-color: var(--global-palette8);
    border: 1px solid var(--global-palette6);
    color: var(--global-palette1);
}

.comments-area .comment-form p.comment-form-float-label label.float-label,
.comment-input-wrap .comment-form-author label.float-label,
.comment-input-wrap .comment-form-email label.float-label,
.comment-input-wrap .comment-form-url label.float-label {
    color: var(--global-palette1);
}

/* footer */
.site-middle-footer-wrap.site-footer-row-container.site-footer-focus-item {
    margin: auto;
}

.site-footer-section .widget-area ul {
    list-style: none;
}

.footer-widget-area-inner .wp-block-list {
    padding: 0;
    margin: 0;
}

/*------------ end common css ------------*/

/* blog css */

.blog .loop-entry .entry-header .entry-title,
.blog-section .uc_post_title {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: 380px;
}

.blog .loop-entry .entry-header .entry-title,
.blog-section .uc_post_list_title {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: 350px;
}

/* newslatter section */
.newsletter-form {
    position: relative;
    width: 100%;
    display: inline-block;
}

.newsletter-form .sub-email {
    margin-inline-start: 20px;
    margin-inline-end: 20px;
}

.newsletter-form input[type="email"],
input[type="text"],
.newsletter-form input[type="email"],
input[type="text"]:focus {
    border-radius: 0;
    background: transparent;
    border: none;
    border-bottom: 1px solid #e5e5e5;
    padding: 10px 8px;
    color: #fff;
    box-shadow: none;
    width: 100%;
    display: block;
}

.mc4wp-form .newsletter-form input[type="submit"] {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    font-size: 0;
    background-color: transparent;
    background-image: url(./assets/image/send.svg);
    background-size: 25px;
    background-repeat: no-repeat;
    background-position: 50%;
    width: 50px;
    padding: 0;
    border: none;
}

@media (max-width: 576px) {
    .newsletter-form {
        width: 100%;
    }
}


/* hover css */

.swing-animation .attachment-full {
    animation: mover 1s infinite alternate;
}

@-webkit-keyframes mover {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-10px);
    }
}

@keyframes mover {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-10px);
    }
}

.side-effect img {
    animation: runX 3s linear infinite;
    position: relative;
}

@keyframes runX {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(5%);
    }

    100% {
        transform: translateX(0);
    }
}

.circle_effect {
    overflow: hidden;
}

.circle_effect {
    position: relative;
}

.circle_effect::before {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 2;
    display: block;
    content: '';
    width: 0;
    height: 0;
    background: rgba(255, 255, 255, .2);
    border-radius: 100%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    opacity: 0;
}

.circle_effect:hover::before {
    -webkit-animation: circle .75s;
    animation: circle .75s;
}

@keyframes circle {
    0% {
        opacity: 1;
    }

    40% {
        opacity: 1;
    }

    100% {
        width: 200%;
        height: 200%;
        opacity: 0;
    }
}

/* gallery area */

.gallery-area {
    overflow: hidden;
}

.gallery-area .gallery-icon.landscape {
    overflow: hidden;
}

.gallery-area .attachment-full.size-full {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}

.gallery-area .attachment-full.size-full:hover {
    -webkit-transform: scale(1.3);
    transform: scale (1.3);
}

/* service css */

.service-css .elementor-heading-title {
    color: var(--global-palette2);
}

.service-area .elementor-button {
    background-color: var(--global-palette2);
    color: var(--global-palette9);
}

.service-area:hover {
    background-color: var(--global-palette2);
}

.service-area:hover .elementor-heading-title,
.service-area:hover .elementor-widget-text-editor {
    color: var(--global-palette9);
}

.service-area:hover .elementor-button {
    background-color: var(--global-palette9);
    color: var(--global-palette1);
}

/* contact css */
.contact-area {
    background: var(--global-palette3);
}

.contact-area:hover {
    background: var(--global-palette2)
}

.contact-area:hover::before {
    top: 0;
}

.contact-area:hover .elementor-icon-box-title,
.contact-area:hover .elementor-icon-box-description,
.contact-area:hover .elementor-icon svg {
    color: var(--global-palette9);
    border-color: var(--global-palette9);
    fill: var(--global-palette9);
    stroke: var(--global-palette9);
    position: relative;
    z-index: 1;
    transition: color 0.3s ease-in-out, border-color 0.4s ease-in-out, fill 0.4s ease-in-out, stroke 0.4s ease-in-out;
}

.contact-area .elementor-icon svg {
    color: var(--global-palette2);
    border-color: var(--global-palette2);
    fill: var(--global-palette2);
    stroke: var(--global-palette2);
    position: relative;
    z-index: 1;
    transition: color 0.3s ease-in-out, border-color 0.4s ease-in-out, fill 0.4s ease-in-out, stroke 0.4s ease-in-out;
}

/* met form css */

.slaces-form {
    box-shadow: none;
}

.slaces-form .form-row {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.slaces-form .two-fields .field {
    width: 50%;
}

.slaces-form .field input,
.slaces-form .field select,
.slaces-form .field textarea {
    width: 100%;
    padding: 16px 20px 16px 12px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0px;
    background: var(--global-palette3);
    color: var(--global-palette1);
}

.slaces-form textarea {
    height: 160px;
}

.slaces-form .field {
    width: 100%;
}

.slaces-form .field textarea {
    width: 100%;
    box-sizing: border-box;
}

.slaces-form ::placeholder {
    color: var(--global-palette1);
}

.slaces-form input[type="submit"] {
    background: var(--global-palette2);
    color: var(--global-palette9);
    padding: 20px 85px;
    border: none;
    border-radius: 0px;
}

.slaces-form input[type="submit"] {
    box-shadow: none;
}

@media (max-width: 768px) {
    .slaces-form .form-row {
        flex-direction: column;
    }

    .slaces-form .two-fields .field {
        width: 100%;
    }
}